<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="configuration.id"
>
  <sqtm-core-dialog-body>
    <div class="flex-row body-content m-t-5">
      <div class="icon-part full-height flex-fixed-size">
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="exclamation-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#FF0000'"
        ></i>
      </div>
      <ng-container>
        <div class="flex-column">
          <span
            [attr.data-test-dialog-message]="true"
            [innerHTML]="configuration.messageKey | translate"
          ></span>
          <div>
            <span>{{
              'sqtm-core.administration-workspace.system.cleaning.dialog.automated-suites.label'
                | translate
            }}</span>
            <span class="automated-count">{{
              configuration.automationDeletionCount.oldAutomatedSuiteCount
            }}</span>
          </div>
          <div>
            <span>{{
              'sqtm-core.administration-workspace.system.cleaning.dialog.automated-executions.label'
                | translate
            }}</span>
            <span class="automated-count">{{
              configuration.automationDeletionCount.oldAutomatedExecutionCount
            }}</span>
          </div>
          <span class="confirm">{{
            'sqtm-core.administration-workspace.system.cleaning.dialog.confirm-message'
              | translate
          }}</span>
        </div>
      </ng-container>
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'delete'"
      class="flex-fixed-size sqtm-core-delete-button danger-icon"
      nz-button
      nzType="primary"
      [nzLoading]="loading"
      (click)="confirm()"
    >
      {{ 'sqtm-core.generic.label.delete' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
